--废气监测数据
with cte as 
(
 select 标准代码,监测项目编号,条件编码,排放单位,
 排放上限,排放下限,排放上限运算符,排放下限运算符
 from 系统_污染物标准排放明细 where 监测类型=3
)
update 业务_废气监测数据
set 
业务_废气监测数据.执行标准代码=cte.标准代码,
业务_废气监测数据.执行标准条件代码=cte.条件编码,
业务_废气监测数据.排放单位=cte.排放单位,
业务_废气监测数据.排放上限=cte.排放上限,
业务_废气监测数据.排放下限=cte.排放下限,
业务_废气监测数据.排放上限运算符=cte.排放上限运算符,
业务_废气监测数据.排放下限运算符=cte.排放下限运算符,
业务_废气监测数据.浓度是否达标=
dbo.GetIsOverStarndard(业务_废气监测数据.污染物浓度,cte.排放下限,cte.排放上限,业务_废气监测数据.监测项目编号),
业务_废气监测数据.超标倍数=
dbo.GetOverStarndardNum(业务_废气监测数据.污染物浓度,cte.排放下限,cte.排放上限,业务_废气监测数据.监测项目编号)
from 
业务_废气监测数据 left join 业务_废气监测点信息 
on 业务_废气监测数据.监测年=业务_废气监测点信息.监测年 
and 业务_废气监测数据.企业代码=业务_废气监测点信息.企业代码
and 业务_废气监测数据.监测点代码=业务_废气监测点信息.监测点代码 
and 业务_废气监测数据.企业类型=业务_废气监测点信息.企业类型
and 业务_废气监测数据.监测点名称=业务_废气监测点信息.监测点名称
left join cte
on 业务_废气监测点信息.执行标准代码=cte.标准代码 
and 业务_废气监测点信息.执行标准条件编码=cte.条件编码
and 业务_废气监测数据.监测项目编号=cte.监测项目编号
where 业务_废气监测数据.监测年<2012
go


--废气自动监测数据
with cte as 
(
 select 标准代码,监测项目编号,条件编码,排放单位,
 排放上限,排放下限,排放上限运算符,排放下限运算符
 from 系统_污染物标准排放明细 where 监测类型=3
)
update 业务_在线监测废气数据
set 
业务_在线监测废气数据.执行标准代码=cte.标准代码,
业务_在线监测废气数据.执行标准条件代码=cte.条件编码,
业务_在线监测废气数据.排放单位=cte.排放单位,
业务_在线监测废气数据.排放上限=cte.排放上限,
业务_在线监测废气数据.排放下限=cte.排放下限,
业务_在线监测废气数据.排放上限运算符=cte.排放上限运算符,
业务_在线监测废气数据.排放下限运算符=cte.排放下限运算符
from 
业务_在线监测废气数据 left join 业务_废气监测点信息 
on 业务_在线监测废气数据.监测年=业务_废气监测点信息.监测年 
and 业务_在线监测废气数据.企业代码=业务_废气监测点信息.企业代码
and 业务_在线监测废气数据.监测点代码=业务_废气监测点信息.监测点代码 
and 业务_在线监测废气数据.企业类型=业务_废气监测点信息.企业类型
and 业务_在线监测废气数据.监测点名称=业务_废气监测点信息.监测点名称
left join cte
on 业务_废气监测点信息.执行标准代码=cte.标准代码 
and 业务_废气监测点信息.执行标准条件编码=cte.条件编码
and 业务_在线监测废气数据.监测项目编号=cte.监测项目编号
where 业务_在线监测废气数据.监测年<2012
go
